<?php
// Include the WP_Upgrader class.
if ( ! class_exists( 'Theme_Upgrader', false ) ) :
	require_once ABSPATH . 'wp-admin/includes/class-theme-upgrader.php';
endif;

class GPLVault_Theme_Upgrader extends Theme_Upgrader {
	/**
	 * Initialize the upgrade strings.
	 *
	 * @since 1.0.0
	 */
	public function upgrade_strings() {
		parent::upgrade_strings();

		$this->strings['downloading_package'] = __( 'Downloading the GPLVault theme upgrade package&#8230;', 'gplvault' );
	}

	/**
	 * Initialize the install strings.
	 *
	 * @since 1.0.0
	 */
	public function install_strings() {
		parent::install_strings();

		$this->strings['downloading_package'] = __( 'Downloading the GPLVault theme install package&#8230;', 'gplvault' );
	}
}

